@ECHO OFF
SET DG=..\GameDataFolder\level0_Final
FOR %%L IN (1 2 3 4 6 8 9 10 11 12 13 14 18 19) DO (
    FOR %%D IN (..\GameDataFolder\level%%L_Final) DO (
        IF EXIST %%D (
            ECHO Level %%L: moving particle M3GM to level 0...
            OniSplit.exe -move:delete %DG% %%D\M3GMdebris*.oni %%D\M3GMtoxic_bubble.oni %%D\M3GMelec*.oni %%D\M3GMrat*.oni %%D\M3GMjet.oni %%D\M3GMbomb_*.oni %%D\M3GMbarab_swave.oni %%D\M3GMbloodyfoot.oni
            ECHO Level %%L: moving almost all TXMP to level 0...
            OniSplit.exe -move:delete %DG% %%D\ONSK*.oni
            OniSplit.exe -move:delete %DG% %%D\TXMPfail_*.oni
            OniSplit.exe -move %%D\TXMB %%D\TXMB*.oni
            OniSplit.exe -move %%D\LSI %%D\M3GMpowerup_lsi.oni %%D\TXMPlsi_icon.oni
            OniSplit.exe -move:delete %DG% %%D\TXMP*.oni
        )
    )
)
